
[[ Java Crypto Library ]]

[Crypto Providers]
  -bouncy castle (various version ship)
  -spongy castle
  GCM not available

*** DON'T TRUST THE PROVIDERS!!! ***


[Key Features]
1) bluesalt - use bluetooth devices as unlock key, user, salt
  -what you have (who you are, what you know)

2) random data - use camera for randomness
  -fix android random problem

 